Package org.eclipse.emf.cdo.spi.server

# Interface IAppExtension5

All Superinterfaces:
  `IAppExtension`

All Known Implementing Classes:
  `AppExtension`, `LMAppExtension`

public interface IAppExtension5 extends IAppExtension
An optional extension of the `IAppExtension` interface for `named` app extensions.

Since:
  4.18
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`boolean`
`startBeforeRepositories()`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`start, stop`

## Method Details

### getName

String getName()

### startBeforeRepositories

boolean startBeforeRepositories()